## org.omg.PortableServer
Class POAListHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAListHelper

public class POAListHelper
extends java.lang.Object

Helper class for : POAList

Author:
  OpenORB Compiler

Constructor Summary
`POAListHelper()`

Method Summary
`static POA[]` `extract(Any a)` Extract POAList from an any
`static java.lang.String` `id()` Return the POAList IDL ID
`static void` `insert(Any a, POA[] t)` Insert POAList into an any
`static POA[]` `read(InputStream istream)` Read POAList from a marshalled stream
`static TypeCode` `type()` Return the POAList TypeCode
`static void` `write(OutputStream ostream, POA[] value)` Write POAList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POAListHelper

    public POAListHelper()

Method Detail

### insert

    public static void insert(Any a,
                              POA[] t)

  Insert POAList into an any
  Parameters:
    `a` - an any
    `t` - POAList value

### extract

    public static POA[] extract(Any a)

  Extract POAList from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted POAList value

### type

    public static TypeCode type()

  Return the POAList TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the POAList IDL ID
  Returns:
    an ID

### read

    public static POA[] read(InputStream istream)

  Read POAList from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed POAList value

### write

    public static void write(OutputStream ostream,
                             POA[] value)

  Write POAList into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - POAList value